apiVersion: apps/v1
kind: Deployment
metadata:
  name: simple-deployment
  labels:
    app: simple
spec:
  replicas: 3
  selector:
    matchLabels:
      app: simple
  template:
    metadata:
      labels:
        app: simple
    spec:
      containers:
      - name: simple
        image: registry.gitlab.com/webberis/kubernetes/kubernetes-examples/simple:master
        imagePullPolicy: Always
        ports:
        - containerPort: 8080
      imagePullSecrets:
      - name: regcred
